ast.hh File Reference
`#include <vector>`
`#include <string>`
`#include <iostream>`
`#include <cstdlib>`

Go to the source code of this file.

## Classes

class | Gecode::FlatZinc::AST::TypeError
| Exception signaling type error More...
class | Gecode::FlatZinc::AST::Node
| A node in a FlatZinc abstract syntax tree. More...
class | Gecode::FlatZinc::AST::BoolLit
| Boolean literal node. More...
class | Gecode::FlatZinc::AST::IntLit
| Integer literal node. More...
class | Gecode::FlatZinc::AST::FloatLit
| Float literal node. More...
class | Gecode::FlatZinc::AST::SetLit
| Set literal node More...
class | Gecode::FlatZinc::AST::Var
| Variable node base class. More...
class | Gecode::FlatZinc::AST::BoolVar
| Boolean variable node. More...
class | Gecode::FlatZinc::AST::IntVar
| Integer variable node. More...
class | Gecode::FlatZinc::AST::FloatVar
| Float variable node. More...
class | Gecode::FlatZinc::AST::SetVar
| Set variable node More...
class | Gecode::FlatZinc::AST::Array
| Array node More...
class | Gecode::FlatZinc::AST::Call
| Node representing a function call More...
class | Gecode::FlatZinc::AST::ArrayAccess
| Node representing an array access More...
class | Gecode::FlatZinc::AST::Atom
| Node representing an atom More...
class | Gecode::FlatZinc::AST::String
| String node More...

## Namespaces

namespace | Gecode::FlatZinc::AST
| Abstract syntax trees for the FlatZinc interpreter.
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::FlatZinc
| Interpreter for the FlatZinc language.

## Functions

Node * | Gecode::FlatZinc::AST::extractSingleton (Node *n)